<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Resources\th-list.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Caliburn.Micro" Version="4.0.136-rc" />
    <PackageReference Include="Microsoft.Xaml.Behaviors.Wpf" Version="1.1.19" />
    <PackageReference Include="Syncfusion.Licensing" Version="18.1.0.59" />
    <PackageReference Include="Syncfusion.PropertyGrid.WPF" Version="18.1.0.59" />
    <PackageReference Include="Syncfusion.Themes.Blend.WPF" Version="18.1.0.59" />
    <PackageReference Include="Syncfusion.Tools.WPF" Version="18.1.0.59" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Resources\th-list.png" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Resources\DemoResources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>DemoResources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Resources\DemoResources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>DemoResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>